Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.extra
Class GeneralComparisonSA

    java.lang.Object
      net.sf.saxon.expr.Expression
          net.sf.saxon.expr.BinaryExpression
              net.sf.saxon.expr.GeneralComparison
                  com.saxonica.extra.GeneralComparisonSA

All Implemented Interfaces:
  Serializable, SourceLocator, ComparisonExpression, Container, EvaluableItem, SequenceIterable, InstructionInfoProvider

    public class GeneralComparisonSA

extends GeneralComparison

This class provides an implementation of the GeneralComparison "=" operator, which deals efficiently with comparing two sequences.

See Also:
  Serialized Form

Field Summary

Fields inherited from class net.sf.saxon.expr.Expression
`EVALUATE_METHOD, ITERATE_METHOD, PROCESS_METHOD`

Constructor Summary
`GeneralComparisonSA(Expression p0, int op, Expression p1)` Create a relational expression identifying the two operands and the operator

Method Summary
`boolean` | `effectiveBooleanValue(XPathContext context)` Evaluate the expression in a boolean context
`Expression` | `optimize(Optimizer opt, StaticContext env, ItemType contextItemType)` Optimize the expression

Methods inherited from class net.sf.saxon.expr.GeneralComparison
`computeCardinality, convertsUntypedToOther, evaluateItem, getAtomicComparer, getItemType, getSingletonOperator, typeCheck`

Methods inherited from class net.sf.saxon.expr.BinaryExpression
`computeSpecialProperties, display, equals, getOperands, getOperator, hashCode, iterateSubExpressions, promote, replaceSubExpression, simplify`

Methods inherited from class net.sf.saxon.expr.Expression
`adoptChildExpression, checkPermittedContents, computeDependencies, computeStaticProperties, doPromotion, evaluateAsString, getCardinality, getColumnNumber, getContainingProcedure, getDependencies, getExecutable, getHostLanguage, getImplementationMethod, getInstructionInfo, getIntrinsicDependencies, getLineNumber, getLocationId, getLocationProvider, getParentExpression, getPublicId, getSlotsUsed, getSpecialProperties, getSystemId, hasBadParentPointer, iterate, markTailFunctionCalls, process, resetStaticProperties, setLocationId, setParentExpression, setParentExpression, suppressValidation`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.saxon.expr.ComparisonExpression
`getOperands`

Constructor Detail

### GeneralComparisonSA

    public GeneralComparisonSA(Expression p0,
                               int op,
                               Expression p1)

  Create a relational expression identifying the two operands and the operator

  Parameters:
    `p0` - the left-hand operand
    `op` - the operator, as a token returned by the Tokenizer (e.g. Token.LT)
    `p1` - the right-hand operand

Method Detail

### optimize

    public Expression optimize(Optimizer opt,
                               StaticContext env,
                               ItemType contextItemType)
                        throws XPathException

  Description copied from class: `GeneralComparison`
  Optimize the expression

  Overrides:
    `optimize` in class `GeneralComparison`
  Parameters:
    `opt` - the optimizer in use. This provides access to supporting functions; it also allows different optimization strategies to be used in different circumstances.
    `env` - the static context of the expression
    `contextItemType` - the static type of "." at the point where this expression is invoked. The parameter is set to null if it is known statically that the context item will be undefined. If the type of the context item is not known statically, the argument is set to `Type.ITEM_TYPE`
  Returns:
    the checked expression
  Throws:
    `StaticError` - if an error is discovered during this phase (typically a type error)
    `XPathException`

### effectiveBooleanValue

    public boolean effectiveBooleanValue(XPathContext context)
                                  throws XPathException

  Evaluate the expression in a boolean context

  Overrides:
    `effectiveBooleanValue` in class `GeneralComparison`
  Parameters:
    `context` - the given context for evaluation
  Returns:
    a boolean representing the result of the numeric comparison of the two operands
  Throws:
    `XPathException` - if any dynamic error occurs evaluating the expression

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.